<?xml version="1.0" encoding="UTF-8"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->


<document>
  <properties>
    <title>Maven Release Plug-in Properties</title>
  </properties>
  <body>
    <section name="Maven Release Plug-in Settings">
      <table>
        <tr>
          <th>Property</th>
          <th>Optional?</th>
          <th>Description</th>
        </tr>
        <tr>
          <td>maven.release.name.bin</td>
          <td>Yes</td>
          <td>The name of the binary release file.  
              Defaults to <code>${pom.artifactId}-${pom.currentVersion}-bin</code></td>
        </tr>        
        <tr>
          <td>maven.release.name.src</td>
          <td>Yes</td>
          <td>The name of the source release file.
              Defaults to <code>${pom.artifactId}-${pom.currentVersion}-src</code></td>
        </tr>        
        <tr>
          <td>maven.release.distribution.categories</td>
          <td>Yes</td>
          <td>The categories and relative paths of the dependencies to
          	  be included in the release. A list of category:path
          	  pairs, eg <code>shared:lib,tools:tools/lib</code>, where the 
          	  category is set via dependency properties:
<source><![CDATA[
   <dependency>
        <groupId>[groupId]</groupId>
        <artifactId>[artifactId]</artifactId>
        <version>[version]</version>
        <properties>
            <category>shared</category>
        </properties>
    </dependency>
   <dependency>
        <groupId>[anotherGroupId]</groupId>
        <artifactId>[anotherArtifactId]</artifactId>
        <version>[anotherVersion]</version>
        <properties>
            <category>tools</category>
        </properties>
    </dependency>
]]></source>
          </td>
        </tr>        
      </table>
    </section>
  </body>
</document>